function yout = rk4(y,dydx,NV,x,h,GG,Rho0,dgamdz,Alpha,Lambda)
%**************************************************}
   yt = zeros(NV,1)'; yout = yt;
   hh = h*0.5;
   h6 = h/6.0;
   xh = x+hh;
   for i = 1 :NV % do % begin
      yt(i) = y(i)+hh*dydx(i);
   end
   dyt = DERIVS(xh,yt,GG,Rho0,dgamdz,Alpha,Lambda);
   for i = 1 : NV % do % begin
      yt(i) = y(i)+hh*dyt(i);
   end
   dym = DERIVS(xh,yt,GG,Rho0,dgamdz,Alpha,Lambda);
   for i = 1 : NV % do % begin
      yt(i) = y(i)+h*dym(i);
      dym(i) = dyt(i)+dym(i);%  
   end
   dyt = DERIVS(x+h,yt,GG,Rho0,dgamdz,Alpha,Lambda);
   for i = 1 : NV % do % begin
      yout(i) = y(i)+h6*(dydx(i)+dyt(i)+2.0*dym(i));
   end
end
