function [NumDat,HeightArr,GamArr] = ReadData(DepthDif)
%--------------------------------------------------}
   % Boris filelist = dir;
   % Boris filelist = filelist(endsWith({filelist.name}, 'txt'));
   filelist = glob('*txt');
   % Boris inpfn = {filelist.name};
   inpfn = filelist;
   [indx] = listdlg('PromptString',{'Select the input file.',...
       'Only one file with columns of depth and density',''},...
       'SelectionMode','single','ListString',inpfn);
   % Boris finp = fopen(filelist(indx).name,'r');
   finp = fopen(char(filelist(indx)),'r');
   % formatSpec = '%f %f %f %f';
   formatSpec = '%f %f %*f %*f'; % skip last two real values (temperature and salinity)
   % sizeInp = [4 Inf];
   sizeInp = [2 Inf];
   InpDat = fscanf(finp,formatSpec,sizeInp)';
   NumDat = length(InpDat(:,1)); % get the number of data pairs
   
   HeightArr = DepthDif - flip(InpDat(:,1)); % height above the diffusser
   GamArr = flip(InpDat(:,2));
   fclose(finp);
end % ReadData }